lmi-commits
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[lmi-commits] [lmi] master 6236aea 03/10: Rationalize order of unmountin


From: Greg Chicares
Subject: [lmi-commits] [lmi] master 6236aea 03/10: Rationalize order of unmounting
Date: Fri, 26 Jun 2020 08:05:19 -0400 (EDT)

branch: master
commit 6236aeacaddfed955983a36e40efb3673f42cb97
Author: Gregory W. Chicares <gchicares@sbcglobal.net>
Commit: Gregory W. Chicares <gchicares@sbcglobal.net>

    Rationalize order of unmounting
    
    Unmount lmi's "identity" mounts first because they're the least
    essential.
---
 lmi_setup_02.sh  | 2 +-
 lmi_setup_02c.sh | 6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/lmi_setup_02.sh b/lmi_setup_02.sh
index 5594227..f81439a 100755
--- a/lmi_setup_02.sh
+++ b/lmi_setup_02.sh
@@ -69,8 +69,8 @@ assert_not_chrooted
 #   | column -t
 # along with '-r' because '-l' does a poor job of columnization.
 
-umount /srv/chroot/"${CHRTNAME}"/var/cache/apt/archives || true
 umount /srv/chroot/"${CHRTNAME}"/srv/cache_for_lmi      || true
+umount /srv/chroot/"${CHRTNAME}"/var/cache/apt/archives || true
 umount /srv/chroot/"${CHRTNAME}"/dev/pts                || true
 umount /srv/chroot/"${CHRTNAME}"/proc                   || true
 
diff --git a/lmi_setup_02c.sh b/lmi_setup_02c.sh
index 4c23584..ba1223c 100755
--- a/lmi_setup_02c.sh
+++ b/lmi_setup_02c.sh
@@ -29,13 +29,13 @@ set -evx
 assert_su
 assert_not_chrooted
 
-umount /srv/chroot/centos7lmi/srv/chroot/"${CHRTNAME}"/var/cache/apt/archives 
|| true
 umount /srv/chroot/centos7lmi/srv/chroot/"${CHRTNAME}"/srv/cache_for_lmi      
|| true
+umount /srv/chroot/centos7lmi/srv/chroot/"${CHRTNAME}"/var/cache/apt/archives 
|| true
 umount /srv/chroot/centos7lmi/srv/chroot/"${CHRTNAME}"/dev/pts                
|| true
 umount /srv/chroot/centos7lmi/srv/chroot/"${CHRTNAME}"/proc                   
|| true
-umount /srv/chroot/centos7lmi/var/cache/yum          || true
-umount /srv/chroot/centos7lmi/var/cache/"${CODENAME}"|| true
 umount /srv/chroot/centos7lmi/srv/cache_for_lmi      || true
+umount /srv/chroot/centos7lmi/var/cache/"${CODENAME}"|| true
+umount /srv/chroot/centos7lmi/var/cache/yum          || true
 umount /srv/chroot/centos7lmi/dev/pts                || true
 umount /srv/chroot/centos7lmi/proc                   || true
 



reply via email to

[Prev in Thread] Current Thread [Next in Thread]